Internal Server Error when accessing specific mercurial repository files on PostgreSQL
Status: New Start date: 2011-06-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.0

Description

Annotating and viewing the file works, but viewing the file's history throws an error:

Processing RepositoriesController#changes (for 67.23.7.150 at 2011-06-21 20:22:16) [GET]

Parameters: {"action"=>"changes", "id"=>"...", "path"=>[".hgignore"], "controller"=>"repositories"}

ActiveRecord::StatementInvalid (RuntimeError: ERROR     C22025  Minvalid escape string  HEscape string must be empty or one

character.  Flike_match.c   L281    RMB_do_like_escape: SELECT "changesets"."id" AS t0_r0, "changesets"."repository_id" AS

t0_r1, "changesets"."revision" AS t0_r2, "changesets"."committer" AS t0_r3, "changesets"."committed_on" AS t0_r4,

"changesets"."comments" AS t0_r5, "changesets"."commit_date" AS t0_r6, "changesets"."scmid" AS t0_r7, "changesets"."user_id"

AS t0_r8, "users"."id" AS t1_r0, "users"."login" AS t1_r1, "users"."hashed_password" AS t1_r2, "users"."firstname" AS t1_r3,

"users"."lastname" AS t1_r4, "users"."mail" AS t1_r5, "users"."admin" AS t1_r6, "users"."status" AS t1_r7, "users"."last_login_on" AS

t1_r8, "users"."language" AS t1_r9, "users"."auth_source_id" AS t1_r10, "users"."created_on" AS t1_r11, "users"."updated_on" AS

t1_r12, "users"."type" AS t1_r13, "users"."identity_url" AS t1_r14, "users"."mail_notification" AS t1_r15, "users"."salt" AS t1_r16

FROM "changesets"  LEFT OUTER JOIN "users" ON "users".id = "changesets".user_id AND  ("users"."type" = 'User' OR

"users"."type" = 'AnonymousUser' ) WHERE ("changesets".repository_id = 3 AND (EXISTS (SELECT * FROM changes

WHERE changes.changeset_id = changesets.id

AND (changes.path = '/.hgignore'

OR changes.path LIKE '/.hgignore/%' ESCAPE '\\'))))  ORDER BY changesets.id DESC, changesets.id DESC LIMIT 100):

app/models/repository/mercurial.rb:87:in `latest_changesets'

app/controllers/repositories_controller.rb:111:in `changes'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /.../redmine-1.2.0/public/500.html (500 Internal Server Error)

System Info:

Ruby version              1.8.7 (amd64-freebsd7)

RubyGems version          1.6.2

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /.../

Environment               production

Database adapter          postgresql

Database schema version   20110511000000

Related issues:

Related to Redmine - Feature #5638: Use Bundler (Gemfile) for gem management Closed 2010-06-02
History

#1 - 2011-06-22 06:50 - Toshi MARUYAMA

What version is your PostgreSQL?

Tests on CI server pass on PostgreSQL.

http://www.redmine.org/builds/index.html

http://www.redmine.org/projects/redmine/wiki/Continuous_integration

So, I don't know the reason.

#2 - 2011-06-22 18:05 - T H

PostgreSQL's version is:

PostgreSQL 8.3.13 on amd64-portbld-freebsd7.2, compiled by GCC cc (GCC) 4.2.1 20070719  [FreeBSD]

And in the first of those links, the PostgreSQL tests says:

Mercurial test repository NOT FOUND. Skipping unit tests !!!

http://www.redmine.org/builds/build_1.2-stable-1.8.7-postgresql_28.html

#3 - 2011-06-22 18:24 - Toshi MARUYAMA

Trunk tests pass.

http://www.redmine.org/builds/build_trunk-1.8.7-postgresql_567.html

There is no change of Mercurial adapter trunk and 1.2-stable.

#4 - 2011-06-22 18:45 - Toshi MARUYAMA

- Subject changed from Internal Server Error when accessing specific mercurial repository files to Internal Server Error when accessing specific

mercurial repository files on PostgreSQL
